Bug 226460 - freenx: should be noarch
freenx: should be noarch
Product: Fedora
Classification: Fedora
Component: freenx (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
: Patch
Depends On:
  Show dependency treegraph
Reported: 2007-01-31 16:05 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-19 07:47:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Make package noarch (595 bytes, patch)
2007-01-31 16:05 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2007-01-31 16:05:50 EST
Caught by the debuginfo sanity checking script [1], it looks like freenx should
be noarch.  You can use both "BuildArch: noarch" and "ExcludeArch: x86_64" and
the FE buildsys/release scripts will build it as noarch but prevent it from
being pushed to the x86_64 repository.

[1] http://www.redhat.com/archives/fedora-maintainers/2007-January/msg00339.html
Comment 1 Ville Skyttä 2007-01-31 16:05:50 EST
Created attachment 147050 [details]
Make package noarch
Comment 2 Axel Thimm 2007-05-19 07:47:31 EDT

freenx needs to remain arch specific because of the libexec contents that have
different paths to /usr/lib and /usr/lib64.
Comment 3 Ville Skyttä 2007-05-19 10:08:44 EDT
Looks like nowadays freenx contains also arch dependent nxserver-helper binary.

Note You need to log in before you can comment on or make changes to this bug.